import {
    getWxQrcode,
} from '~/api/user'
const app = getApp()

Component({
    properties: {},
    data: {
        show: false,
        isIos: app.globalData.isIOS,
        qrCode: '',
    },
    methods: {
        async open() {
            if (!this.data.isIos) {
                wx.navigateTo({
                    url: '/pages/commodity/index',
                })
            } else {
                let qrCode = await getWxQrcode()
                this.setData({
                    qrCode: qrCode.ticketUrl
                })
                this.setData({
                    show: true,
                })
            }
        },
        closeModal() {
            this.setData({
                show: false
            })
        },
    }
})